/* 
    Created on : 22-Dec-2016
    Author     : Amir <amirsanni@gmail.com>
*/

textarea {
    overflow: auto;
    resize: vertical;
}

.special-small{
    font-weight: bolder;
    font-size: 80%;
}

.special-table thead tr th{
font-weight: bolder;
}

.info-p{
    font-size: 17px; 
    margin-bottom: 7px;
}

.info-p span{
    font-weight: bolder;
}

#video_chat .text-center{
    text-align: center;
}

#video_chat .modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: auto; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Header */
#video_chat .modal-header {
    padding: 15px;
    border-bottom: 1px solid #e5e5e5;
}

/* Modal Body */
#video_chat .modal-body {
    position: relative;
    padding: 15px;
}

/* Modal Content */
#video_chat .modal-content {
    position: relative;
    width: auto;
    margin: 10px;
    background-color: #fff;
    -webkit-background-clip: padding-box;
        background-clip: padding-box;
    border: 1px solid #999;
    border: 1px solid rgba(0, 0, 0, .2);
    border-radius: 6px;
    -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
    box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s;
}

@media (min-width: 768px) {
  #video_chat .modal-content {
    width: 600px;
    margin: 30px auto;
  }
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {top: -300px; opacity: 0} 
    to {top: 0; opacity: 1}
}

@keyframes animatetop {
    from {top: -300px; opacity: 0}
    to {top: 0; opacity: 1}
}

#video_chat .margin-top-20{
    margin-top: 20px;
}

#video_chat .margin-top-50{
    margin-top: 50px;
}

#video_chat .pointer{
    cursor: pointer;
}

/* CHAT PANE */
#typingInfo{
    font-size: 10px;
    color:  #3a87ad;
}

#video_chat .col-md-4, .col-md-10{
    padding:0;
}
#video_chat .chat-pane-panel{
    margin-bottom: 0px;
}
#video_chat .chat-window{
    bottom:0;
    position:fixed;
}
#video_chat .chat-pane-panel{
    border-radius: 5px 5px 0 0;
}
#video_chat .icon_minim{
    padding:2px 10px;
}
#video_chat .msg_container_base{
  background: #e5e5e5;
  margin: 0;
  padding: 0 10px 10px;
  max-height:300px;
  overflow-x:hidden;
  display: none;
}
#video_chat .chat-pane-top-bar {
  background: #666;
  color: white;
  position: relative;
  overflow: hidden;
}
#video_chat .msg_receive{
    padding-left:0;
    margin-left:0;
}
#video_chat .msg_sent{
    padding-bottom:20px !important;
    margin-right:0;
}
#video_chat .messages {
  background: white;
  padding: 10px;
  border-radius: 2px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
  max-width:100%;
}
#video_chat .messages > p {
    font-size: 13px;
    margin: 0 0 0.2rem 0;
    word-wrap: break-word
  }
#video_chat .messages > time {
    font-size: 11px;
    color: #ccc;
}
#video_chat .msg_container {
    padding: 10px;
    overflow: hidden;
    display: flex;
}
#video_chat .chat-pane-img {
    display: block;
    width: 100%;
}
#video_chat .chat-avatar {
    position: relative;
}
.base_receive > .chat-avatar:after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border: 5px solid #FFF;
    border-left-color: rgba(0, 0, 0, 0);
    border-bottom-color: rgba(0, 0, 0, 0);
}

#video_chat .base_sent {
  justify-content: flex-end;
  align-items: flex-end;
}
#video_chat .base_sent > .chat-avatar:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 0;
    border: 5px solid white;
    border-right-color: transparent;
    border-top-color: transparent;
    box-shadow: 1px 1px 2px rgba(black, 0.2); /*not quite perfect but close*/
}

#video_chat .msg_sent > time{
    float: right;
}



#video_chat .msg_container_base::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

#video_chat .msg_container_base::-webkit-scrollbar
{
    width: 12px;
    background-color: #F5F5F5;
}

#video_chat .msg_container_base::-webkit-scrollbar-thumb
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #555;
}
/* _CHAT PANE */

/*
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
********************************************************************************************************************************
*/

/* VIDEO */
#peerVid{
  /*  position: fixed;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: -100;
    -ms-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    background: url(../img/vidbg.png) no-repeat;
    background-size: cover;*/
    /*width: 500px;*/
    width: 100%;
    /*position: absolute;*/
}

/*#myVid{*/
    /*width: 150px;*/
    /*!* height: 180px; *!*/
    /*!*bottom: 0;*!*/
    /*position: absolute;*/
    /*!*right: 0;*!*/
    /*float: right;*/
/*}*/

#myVid {
    width: 100%;
    float: right;
}

/* Small screens */
@media(max-width:768px){
    #myVid{
        width: 100px;
        position: inherit;
        float: left;
        /*left: 3px;*/
    }

    #peerVid{
        /*width: 300px;*/
        position: absolute;
    }
}

/* _VIDEO */



/* SNACKBAR */
/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: rgba(158,31,99,0.9); /* background color */
    color: #fff; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    right: 0; /* Right the snackbar */
    top: 90px; /* 90px from the top */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar .show {
    visibility: visible; /* Show the snackbar */
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {right: 0; opacity: 0;} 
    to {top: 90px; opacity: 1;}
}

@keyframes fadein {
    from {right: 0; opacity: 0;}
    to {top: 90px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {top: 90px; opacity: 1;} 
    to {right: 0; opacity: 0;}
}

@keyframes fadeout {
    from {top: 90px; opacity: 1;}
    to {right: 0; opacity: 0;}
}
/* _SNACKBAR */



/* CSS used here will be applied after bootstrap.css */
.glyphicon-bell {

    font-size:1.7rem;
}

.notifications {
    /*min-width:320px;*/
}

.notifications-wrapper {
    overflow:auto;
    max-height:250px;
}
.menu-title {
    color: #ffffff;
    font-size: 13px;
    display: inline-block;
    font-weight: bold;
}

.glyphicon-circle-arrow-right {
    margin-left:10px;
}


.notification-heading, .notification-footer  {
    padding:2px 10px;
}


.dropdown-menu.divider {
    margin:5px 0;
}

.item-title {
    font-size: 1.3rem;
    color: #000;
    font-weight: bold;
    margin: 5px 0px;
}

.notifications a.content {
    text-decoration: none;
    display: block;
    color:#000;
}
.notification-item {
    position: relative;
    padding: 10px;
    padding-left: 70px;
    padding-bottom: 0px;
}
.notification-item img {
    position: absolute;
    top: 7px;
    left: 10px;
    width: 50px;
    height: 50px;
    border-radius: 50px;
}
.dropdown-menu .divider {
    height: 1px;
    margin: 5px 0;
    overflow: hidden;
    background-color: #e5e5e5;
}
ul.dropdown-menu.notifications .notifications-wrapper a.content {
    padding: 0px !important;
    background: rgba(0, 0, 0, 0.04);
    border-bottom: 1px solid #d1d1d1;
}
ul.dropdown-menu.notifications .notifications-wrapper a.content:hover {
    color: #000;
    background: rgba(0, 0, 0, 0.1);
}
.login-nav ul.nav.navbar-nav.navbar-right li a {
    display: block;
}
.notification-heading {
    background: #000;
.notifications a.content {
                         text-decoration: none;
                         display: block;
                     }
padding: 3px 10px;
}
ul.dropdown-menu.notifications {
    padding: 0px;
}
.dropdown .glyphicon-bell {
    vertical-align: middle;
}
.dropdown{
    list-style:none;
}

.notification-counter {
    position: absolute;
    top: -2px;
    left: 18px;

    background-color: rgba(212, 19, 13, 1);
    color: #fff;
    border-radius: 3px;
    padding: 1px 3px;
    font: 8px Verdana;
}

@media (min-width: 768px) {
    .modal-dialog {
        width: calc(100% - 100px);
        margin: 30px auto;
    }
}

